## net.i2p.router.web
Class ConfigAdvancedHelper

    java.lang.Object
      net.i2p.router.web.ConfigAdvancedHelper

    public class ConfigAdvancedHelper

extends java.lang.Object

Constructor Summary
`ConfigAdvancedHelper()`

Method Summary
`java.lang.String` `getSettings()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigAdvancedHelper

    public ConfigAdvancedHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getSettings

    public java.lang.String getSettings()